Module java.base
Package java.util

## Class IllformedLocaleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.IllformedLocaleException

All Implemented Interfaces:
  Serializable

    public class IllformedLocaleException
    extends RuntimeException

Thrown by methods in `Locale` and `Locale.Builder` to indicate that an argument is not a well-formed BCP 47 tag.

Since:
  1.7
See Also:
  `Locale`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllformedLocaleException()` Constructs a new `IllformedLocaleException` with no detail message and -1 as the error index.
`IllformedLocaleException(String message)` Constructs a new `IllformedLocaleException` with the given message and -1 as the error index.
`IllformedLocaleException(String message, int errorIndex)` Constructs a new `IllformedLocaleException` with the given message and the error index.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorIndex()` Returns the index where the error was found.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### IllformedLocaleException

    public IllformedLocaleException()

Constructs a new `IllformedLocaleException` with no detail message and -1 as the error index.

#### IllformedLocaleException

    public IllformedLocaleException(String message)

Constructs a new `IllformedLocaleException` with the given message and -1 as the error index.

Parameters:
  `message` - the message

#### IllformedLocaleException

    public IllformedLocaleException(String message,
                                    int errorIndex)

Constructs a new `IllformedLocaleException` with the given message and the error index. The error index is the approximate offset from the start of the ill-formed value to the point where the parse first detected an error. A negative error index value indicates either the error index is not applicable or unknown.

Parameters:
  `message` - the message
  `errorIndex` - the index

### Method Detail

#### getErrorIndex

    public int getErrorIndex()

Returns the index where the error was found. A negative value indicates either the error index is not applicable or unknown.

Returns:
  the error index